package com.logicbig.example.app;

import com.logicbig.example.client.Consumer;
import com.logicbig.example.client.OnlineOrderClient;
import com.logicbig.example.client.Wholesaler;
import com.logicbig.example.service.OnlineOrderService;
import org.springframework.context.annotation.AnnotationConfigApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

@Configuration
@ComponentScan(basePackageClasses = {OnlineOrderClient.class, OnlineOrderService.class})
public class OnlineOrderApp {

    public static void main(String... strings) {
        AnnotationConfigApplicationContext context =
                new AnnotationConfigApplicationContext(OnlineOrderApp.class);
        System.out.println("-- Spring container started and is ready --");
        Consumer consumer = context.getBean(Consumer.class);
        consumer.buySomething();

        Wholesaler wholesaler = context.getBean(Wholesaler.class);
        wholesaler.buySomethingInBulk();
    }
}